Subject: Re: zope25 vs. zope-2.6.2?
To: Hubert Feyrer <>
From: Matthias Drochner <>
List: tech-pkg
Date: 01/29/2004 17:11:42 said:
> I wonder what the idea behind the zope-2.6.2 pkg in pkgsrc/lang/zope25
> is - seems rather strange to me.

There was a zope-2.5.x originally. 2.6.x is backwards compatible
so that it was OK to just replace the 2.5 pkg with it.
I admit that this looks strange, but renaming the directory,
thus breaking updates, PKGREVISION bumps and fixing dependencies
just for cosmetic reasons isn't nice either.
(2.5 was very different from 2.2, so just a "zope2" directory
name didn't make sense.)

> we can rename pkgsrc/lang/zope to
> pkgsrc/lang/zope22

Actually, 2.2 can be removed. It is completely outdated.

> and keep the latest one in lang/zope

Imo, for pkgs where it is appropriate to keep multiple
versions in parallel the directory names should enough
of the major number(s) to identify that branch. And such a
branch should stay within that directory for its lifetime;
this xxx->xxx.old &>xxx renaming sucks.
(Of course, one doesn't always know when a pkg is initially

best regards